# coding: utf-8

"""
    interactive::game_manager

    This will decide the next player and validate actions from other players  # noqa: E501

    The version of the OpenAPI document: 0.0.1
    Contact: yoogottam.khandelwal@students.iiit.ac.in
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest

import manager_client
from manager_client.api.manager_api import ManagerApi  # noqa: E501
from manager_client.rest import ApiException


class TestManagerApi(unittest.TestCase):
    """ManagerApi unit test stubs"""

    def setUp(self):
        self.api = manager_client.api.manager_api.ManagerApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_evaluate(self):
        """Test case for evaluate

        Evaluate the action given by the player  # noqa: E501
        """
        pass

    def test_get_state(self):
        """Test case for get_state

        Returns current game state  # noqa: E501
        """
        pass

    def test_init(self):
        """Test case for init

        Start the whole process  # noqa: E501
        """
        pass

    def test_invalidate(self):
        """Test case for invalidate

        Invalidate a player  # noqa: E501
        """
        pass

    def test_quit(self):
        """Test case for quit

        Quit this server  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
